
CONFIG = warn_on rtti exceptions debug

TARGET  = terralibpdi

TERRALIB_SRC_DIR = ../../src/
LIBPDI_SRC_DIR = $$TERRALIB_SRC_DIR/terralib/image_processing/

debug {
  DEFINES += PDIAGN_ENABLE_STDOUT_LOG
}

release {
  DEFINES += NDEBUG
}

INCLUDEPATH = \
  $$TERRALIB_SRC_DIR/tiff \
  $$TERRALIB_SRC_DIR/shapelib \
  $$TERRALIB_SRC_DIR/terralib/kernel \
  $$TERRALIB_SRC_DIR/terralib/functions \
  $$LIBPDI_SRC_DIR \
  $$LIBPDI_SRC_DIR/data_structs

HEADERS = \
          $$LIBPDI_SRC_DIR/TePDIAgnostic.hpp \
          $$LIBPDI_SRC_DIR/TePDIMappedMemory.hpp \
          $$LIBPDI_SRC_DIR/TePDIMatrix.hpp \
          $$LIBPDI_SRC_DIR/TePDIMatrixFunctions.hpp \
          $$LIBPDI_SRC_DIR/TePDIMathFunctions.hpp \
          $$LIBPDI_SRC_DIR/TePDIUtils.hpp \
          $$LIBPDI_SRC_DIR/TePDITypes.hpp \
          $$LIBPDI_SRC_DIR/TePDIPIManager.hpp \
          $$LIBPDI_SRC_DIR/TePDIHistogram.hpp \
          $$LIBPDI_SRC_DIR/TePDIRgbPaletteNode.hpp \
          $$LIBPDI_SRC_DIR/TePDIRgbPalette.hpp \
          $$LIBPDI_SRC_DIR/TePDIRgbPaletteFunctions.hpp \
          $$LIBPDI_SRC_DIR/TePDIParameters.hpp \
          $$LIBPDI_SRC_DIR/TePDIAlgorithm.hpp \
          $$LIBPDI_SRC_DIR/TePDIAlgorithmFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIStatistic.hpp \
          $$LIBPDI_SRC_DIR/TePDILevelRemap.hpp \
          $$LIBPDI_SRC_DIR/TePDIContrast.hpp \
          $$LIBPDI_SRC_DIR/TePDIContrastFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIFilterMask.hpp \
          $$LIBPDI_SRC_DIR/TePDIBufferedFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDILinearFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDILinearFilterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIBDFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDIBDFilterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIMorfFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDIMorfFilterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarLeeFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarLeeFilterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarKuanFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarKuanFilterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarFrostFilter.hpp \
          $$LIBPDI_SRC_DIR/TePDIRadarFrostFilterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIArithmetic.hpp \
          $$LIBPDI_SRC_DIR/TePDIArithmeticFactory.hpp \
          $$LIBPDI_SRC_DIR/data_structs/TePDI2DTree.hpp \
          $$LIBPDI_SRC_DIR/data_structs/TePDIChainCode4.hpp \
          $$LIBPDI_SRC_DIR/TePDIRaster2Vector.hpp \
          $$LIBPDI_SRC_DIR/TePDIRaster2VectorFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIColorTransform.hpp \
          $$LIBPDI_SRC_DIR/TePDIColorTransformFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIPrincipalComponents.hpp \
          $$LIBPDI_SRC_DIR/TePDIPrincipalComponentsFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIWavelets.hpp \
          $$LIBPDI_SRC_DIR/TePDIWaveletsFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIMallatWaveletsStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIMallatWaveletsSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIFusion.hpp \
          $$LIBPDI_SRC_DIR/TePDIFusionFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIMosaic.hpp \
          $$LIBPDI_SRC_DIR/TePDIMosaicStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIMosaicFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIMosaicStratFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIGeoMosaicSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIGeoMosaicStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIBatchGeoMosaicSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIBatchGeoMosaicStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIStrategyFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIBlendingStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIBlendStratFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIEuclidianBlendStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIEuclidianBlendSF.hpp \
          $$LIBPDI_SRC_DIR/TePDINoBlendStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDINoBlendSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIGarguetFusionSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIGarguetFusionStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIVenturaFusionSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIVenturaFusionStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIIHSFusionSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIIHSFusionStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDISegmentation.hpp \
          $$LIBPDI_SRC_DIR/TePDISegmentationFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIRegGrowSegmentationSF.hpp \
          $$LIBPDI_SRC_DIR/TePDIRegGrowSegmentationStrategy.hpp \
          $$LIBPDI_SRC_DIR/TePDIRegister.hpp \
          $$LIBPDI_SRC_DIR/TePDIRegisterFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIInterpolator.hpp \
          $$LIBPDI_SRC_DIR/TePDIBlendingFactory.hpp \
          $$LIBPDI_SRC_DIR/TePDIBlending.hpp

SOURCES = \
          $$LIBPDI_SRC_DIR/TePDIAgnostic.cpp \
          $$LIBPDI_SRC_DIR/TePDIMathFunctions.cpp \
          $$LIBPDI_SRC_DIR/TePDIUtils.cpp \
          $$LIBPDI_SRC_DIR/TePDIMatrixFunctions.cpp \
          $$LIBPDI_SRC_DIR/TePDIMappedMemory.cpp \
          $$LIBPDI_SRC_DIR/TePDIPIManager.cpp \
          $$LIBPDI_SRC_DIR/TePDIHistogram.cpp \
          $$LIBPDI_SRC_DIR/TePDIRgbPalette.cpp \
          $$LIBPDI_SRC_DIR/TePDIRgbPaletteFunctions.cpp \
          $$LIBPDI_SRC_DIR/TePDIParameters.cpp \
          $$LIBPDI_SRC_DIR/TePDIAlgorithm.cpp \
          $$LIBPDI_SRC_DIR/TePDIAlgorithmFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIStatistic.cpp \
          $$LIBPDI_SRC_DIR/TePDILevelRemap.cpp \
          $$LIBPDI_SRC_DIR/TePDIContrast.cpp \
          $$LIBPDI_SRC_DIR/TePDIContrastFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIFilterMask.cpp \
          $$LIBPDI_SRC_DIR/TePDIBufferedFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDILinearFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDILinearFilterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIBDFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDIBDFilterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIMorfFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDIMorfFilterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarLeeFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarLeeFilterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarKuanFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarKuanFilterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarFrostFilter.cpp \
          $$LIBPDI_SRC_DIR/TePDIRadarFrostFilterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIArithmetic.cpp \
          $$LIBPDI_SRC_DIR/TePDIArithmeticFactory.cpp \
          $$LIBPDI_SRC_DIR/data_structs/TePDIChainCode4.cpp \
          $$LIBPDI_SRC_DIR/TePDIRaster2Vector.cpp \
          $$LIBPDI_SRC_DIR/TePDIRaster2VectorFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIColorTransform.cpp \
          $$LIBPDI_SRC_DIR/TePDIColorTransformFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIPrincipalComponents.cpp \
          $$LIBPDI_SRC_DIR/TePDIPrincipalComponentsFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIWavelets.cpp \
          $$LIBPDI_SRC_DIR/TePDIWaveletsFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIMallatWaveletsStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIMallatWaveletsSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIFusion.cpp \
          $$LIBPDI_SRC_DIR/TePDIFusionFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIMosaicStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIMosaic.cpp \
          $$LIBPDI_SRC_DIR/TePDIMosaicFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIMosaicStratFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIGeoMosaicSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIGeoMosaicStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIBatchGeoMosaicSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIBatchGeoMosaicStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIStrategyFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIBlendingStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIBlendStratFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIEuclidianBlendStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIEuclidianBlendSF.cpp \
          $$LIBPDI_SRC_DIR/TePDINoBlendStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDINoBlendSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIGarguetFusionSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIGarguetFusionStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIVenturaFusionSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIVenturaFusionStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIIHSFusionSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIIHSFusionStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDISegmentation.cpp \
          $$LIBPDI_SRC_DIR/TePDISegmentationFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIRegGrowSegmentationSF.cpp \
          $$LIBPDI_SRC_DIR/TePDIRegGrowSegmentationStrategy.cpp \
          $$LIBPDI_SRC_DIR/TePDIRegister.cpp \
          $$LIBPDI_SRC_DIR/TePDIRegisterFactory.cpp \
          $$LIBPDI_SRC_DIR/TePDIInterpolator.cpp \
          $$LIBPDI_SRC_DIR/TePDIBlending.cpp \
          $$LIBPDI_SRC_DIR/TePDIBlendingFactory.cpp

win32 {
  CONFIG += staticlib console

  DEFINES += WIN32 __WIN32__

  TEMPLATE = vclib
  
  LIBS =
  
  USE_TERRALIB_STL = yes
  contains( QMAKESPEC , win32-msvc.net ) {
    USE_TERRALIB_STL = no
  }
  equals( USE_TERRALIB_STL , yes ) {
    INCLUDEPATH = $$TERRALIB_SRC_DIR/STLport $$INCLUDEPATH
    message( "TerraLib internal STL will be used" )
  }    
}

unix {
  CONFIG += dll

  TEMPLATE = lib
  
  OBJECTS_DIR = .obj
  
  DESTDIR = ../lib
}


